
using MonitorModule.Views;
using MonitorModule.Views.Dialogs;
using System.Reflection;

namespace MonitorModule
{
    [Module(OnDemand = true)]
    public class MonitorModule: IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
            IRegionManager regionManager = containerProvider.Resolve<IRegionManager>();
        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.RegisterForNavigation<MonitorView>("MonitorView");
            containerRegistry.RegisterForNavigation<RecordView>("RecordView");
            containerRegistry.RegisterDialog<ValueLimitView>("ValueLimitView");
        }
    }

}
